import React from "react";
import { Count } from "@react-components/count";
import { createRef } from "react";
import { render, waitFor } from "@testing-library/react"; // ***** Refs *****

test("ref is a DOM element", async () => {
  const ref = /*#__PURE__*/createRef();
  render( /*#__PURE__*/React.createElement(Count, {
    ref: ref
  }, "6"));
  await waitFor(() => expect(ref.current).not.toBeNull());
  expect(ref.current instanceof HTMLElement).toBeTruthy();
  expect(ref.current.tagName).toBe("SPAN");
});
test("when using a callback ref, ref is a DOM element", async () => {
  let refNode = null;
  render( /*#__PURE__*/React.createElement(Count, {
    ref: node => {
      refNode = node;
    }
  }, "6"));
  await waitFor(() => expect(refNode).not.toBeNull());
  expect(refNode instanceof HTMLElement).toBeTruthy();
  expect(refNode.tagName).toBe("SPAN");
});
test("set ref once", async () => {
  const handler = jest.fn();
  render( /*#__PURE__*/React.createElement(Count, {
    ref: handler
  }, "6"));
  await waitFor(() => expect(handler).toHaveBeenCalledTimes(1));
});