import React from "react";
import { PureComponent } from "react";
import { TextInputPopper } from "../../popper";
import { bool, element, func, number, object, oneOf, string } from "prop-types";
import { isNil } from "lodash";
import { resolvePopperPosition } from "../../shared";
export class DatePickerAnchor extends PureComponent {
  constructor(...args) {
    super(...args);

    this.handleVisibilityChange = (event, visible) => {
      const {
        onVisibilityChange
      } = this.props;

      if (!isNil(onVisibilityChange)) {
        onVisibilityChange(event, visible);
      }
    };
  }

  render() {
    const {
      open,
      input,
      calendar,
      upward,
      direction,
      pinned,
      zIndex,
      disabled,
      fluid,
      noPortal,
      className,
      style
    } = this.props;
    return /*#__PURE__*/React.createElement(TextInputPopper, {
      show: open,
      input: input,
      position: resolvePopperPosition(upward, direction),
      pinned: pinned,
      offset: [0, 10],
      onVisibilityChange: this.handleVisibilityChange,
      focusFirstElementOnKeyboardShow: true,
      zIndex: zIndex,
      disabled: disabled,
      fluid: fluid,
      noPortal: noPortal,
      className: className,
      style: style
    }, calendar);
  }

}
DatePickerAnchor.displayName = "DatePickerAnchor";
DatePickerAnchor.propTypes = {
  open: bool.isRequired,
  input: element.isRequired,
  calendar: element.isRequired,
  upward: bool,
  direction: oneOf(["left", "right"]),
  pinned: bool,
  zIndex: number,
  onVisibilityChange: func,
  fluid: bool,
  noPortal: bool,
  className: string,
  style: object
};
DatePickerAnchor.defaultProps = {
  upward: false,
  direction: "right",
  pinned: false,
  zIndex: 2
};