import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { DropdownItem } from "./DropdownItem";
import { elementType, oneOfType, string } from "prop-types";
import { forwardRef } from "react";
const propTypes = {
  /**
   * The HTML href attribute.
   */
  href: string.isRequired,

  /**
   * The HTML target attribute.
   */
  target: string,

  /**
   * The HTML rel attribute.
   */
  rel: string,

  /**
   * An HTML element type or a custom React element type to render as.
   */
  as: oneOfType([string, elementType])
};
export function InnerDropdownLinkItem(_ref) {
  let {
    as,
    forwardedRef
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["as", "forwardedRef"]);

  return /*#__PURE__*/React.createElement(DropdownItem, Object.assign({}, rest, {
    as: as || "a",
    ref: forwardedRef
  }));
}
InnerDropdownLinkItem.displayName = "InnerDropdownLinkItem";
InnerDropdownLinkItem.propTypes = propTypes;
export const DropdownLinkItem = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerDropdownLinkItem, Object.assign({}, props, {
  forwardedRef: ref
})));