import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { ChevronIcon, EmbeddedIcon } from "../../icons";
import { DropdownContext } from "./DropdownContext";
import { bool, element, elementType, oneOfType, string } from "prop-types";
import { forwardRef, useContext } from "react";
import { getSizeClass, mergeClasses } from "../../shared";
import { isNil } from "lodash";
const propTypes = {
  icon: element,
  title: string,
  fluid: bool,
  as: oneOfType([string, elementType])
};
const defaultProps = {
  as: "button"
};
export function InnerDropdownTitleTrigger(_ref) {
  let {
    title,
    icon,
    fluid,
    size,
    active,
    focus,
    hover,
    as: Element,
    className,
    forwardedRef
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["title", "icon", "fluid", "size", "active", "focus", "hover", "as", "className", "forwardedRef"]);

  const {
    upward
  } = useContext(DropdownContext);
  const iconMarkup = !isNil(icon) && /*#__PURE__*/React.createElement(EmbeddedIcon, {
    icon: icon,
    size: size
  });
  return /*#__PURE__*/React.createElement(Element, Object.assign({}, rest, {
    className: mergeClasses("o-ui dropdown-title-trigger", fluid && "fluid", active && "active", focus && "focus", hover && "hover", getSizeClass(size), className),
    ref: forwardedRef
  }), iconMarkup, /*#__PURE__*/React.createElement("span", {
    className: "text"
  }, title), /*#__PURE__*/React.createElement(EmbeddedIcon, {
    icon: /*#__PURE__*/React.createElement(ChevronIcon, {
      className: mergeClasses("arrow", upward && "upward")
    }),
    size: size
  }));
}
InnerDropdownTitleTrigger.displayName = "InnerDropdownTitleTrigger";
InnerDropdownTitleTrigger.propTypes = propTypes;
InnerDropdownTitleTrigger.defaultProps = defaultProps;
export const DropdownTitleTrigger = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerDropdownTitleTrigger, Object.assign({}, props, {
  forwardedRef: ref
})));