import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { Button } from "@react-components/button";
import { Dropdown, DropdownContext } from "@react-components/dropdown";
import { EditIcon, FileIcon, LightbulbIcon, VerticalDotsIcon } from "@react-components/icons";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { forwardRef, useContext } from "react";
import { isNil, noop } from "lodash";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Dropdown")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%",
    height: "800px"
  }).chromaticDelay(100).chromaticPauseAnimationAtEnd().build()).build();
}

function SimpleDropdown(_ref) {
  let {
    title = "File",
    header
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["title", "header"]);

  return /*#__PURE__*/React.createElement(Dropdown, Object.assign({}, rest, {
    title: title
  }), header && header, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as..."));
}

SimpleDropdown.displayName = "SimpleDropdown";

function TriggerLessDropdown(props) {
  return /*#__PURE__*/React.createElement(Dropdown, props, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as..."));
}

TriggerLessDropdown.displayName = "TriggerLessDropdown";

function DividedDropdown(_ref2) {
  let {
    title = "File"
  } = _ref2,
      rest = _objectWithoutProperties(_ref2, ["title"]);

  return /*#__PURE__*/React.createElement(Dropdown, Object.assign({}, rest, {
    title: title
  }), /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Divider, null), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Rename"));
}

DividedDropdown.displayName = "DividedDropdown";

function setRedBackground(element) {
  if (!isNil(element)) {
    element.classList.add("bg-red");
  }
}

const CustomTrigger = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    isOpen
  } = useContext(DropdownContext);
  return /*#__PURE__*/React.createElement(Button, Object.assign({}, props, {
    circular: true,
    primary: isOpen,
    secondary: !isOpen,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null),
    ref: ref
  }));
});
stories().add("default", () => /*#__PURE__*/React.createElement(SimpleDropdown, null)).add("open", () => /*#__PURE__*/React.createElement(SimpleDropdown, {
  open: true
})).add("default open", () => /*#__PURE__*/React.createElement(SimpleDropdown, {
  defaultOpen: true
})).add("title trigger", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column",
  style: {
    marginRight: "300px"
  }
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "small",
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "large",
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "large",
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  active: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  focus: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  hover: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  focus: true,
  hover: true
}))))).add("title trigger icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "small",
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "large",
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  icon: /*#__PURE__*/React.createElement(FileIcon, null),
  size: "large",
  open: true
})))).add("basic trigger", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  style: {
    marginRight: "150px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  style: {
    marginRight: "150px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "w-100",
  style: {
    marginBottom: "50px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  fluid: true,
  className: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  active: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  focus: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  hover: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    secondary: true,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null)
  }),
  focus: true,
  hover: true
})))).add("advanced trigger", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(CustomTrigger, null),
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(TriggerLessDropdown, {
  trigger: /*#__PURE__*/React.createElement(CustomTrigger, null),
  open: true
}))).add("scrolling", () => /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  scrolling: true,
  open: true
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "1"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "2"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "3"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "4"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "5"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "6"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "7"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "8"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "9"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "10"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "11"))).add("upward", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginTop: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  upward: true,
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  upward: true,
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  upward: true,
  size: "large",
  open: true
})))).add("direction", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column mr12"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "left",
  size: "small",
  open: true,
  style: {
    marginBottom: "150px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "left",
  open: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "left",
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "right",
  size: "small",
  open: true,
  style: {
    marginBottom: "150px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "right",
  open: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  direction: "right",
  size: "large",
  open: true
}))), _objectSpread({}, paramsBuilder().canvasLayout({
  paddingLeft: "100px"
}).build())).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column w-50 mr12"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "small",
  fluid: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  fluid: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "large",
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column w-50"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "small",
  fluid: true,
  open: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  fluid: true,
  open: true,
  style: {
    marginBottom: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  size: "large",
  fluid: true,
  open: true
})))).add("header", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, null, "Quick Actions"),
  open: true,
  size: "small",
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
  }, "Quick Actions"),
  open: true,
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, null, "Quick Actions"),
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
  }, "Quick Actions"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, null, "Quick Actions"),
  open: true,
  size: "large",
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  header: /*#__PURE__*/React.createElement(Dropdown.Header, {
    icon: /*#__PURE__*/React.createElement(LightbulbIcon, null)
  }, "Quick Actions"),
  open: true,
  size: "large"
})))).add("divider", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(DividedDropdown, {
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(DividedDropdown, {
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(DividedDropdown, {
  size: "large",
  open: true,
  style: {
    marginRight: "200px"
  }
}))).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  active: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  focus: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  hover: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  focus: true,
  hover: true
})))).add("disabled", () => /*#__PURE__*/React.createElement(SimpleDropdown, {
  disabled: true
})).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  className: "border-red mr5"
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  style: {
    border: "1px solid red"
  }
}))).add("custom menu component", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleDropdown, {
  menu: /*#__PURE__*/React.createElement(Dropdown.Menu, {
    className: "border-red"
  }),
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  menu: /*#__PURE__*/React.createElement(Dropdown.Menu, {
    ref: setRedBackground
  }),
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  menu: {
    className: "border-red"
  },
  open: true,
  style: {
    marginRight: "200px"
  }
}), /*#__PURE__*/React.createElement(SimpleDropdown, {
  menu: {
    className: "border-red",
    ref: setRedBackground
  },
  open: true
}))).add("item interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, {
  active: true
}, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, {
  focus: true
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  hover: true
}, "Save as..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  focus: true,
  hover: true
}, "Rename")))).add("item disabled", () => /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  disabled: true
}, "Save as..."))).add("item description", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  description: "To infinite and beyond!"
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  description: "To infinite and beyond!"
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "large",
  open: true
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, {
  description: "To infinite and beyond!"
}, "Save as...")))).add("item icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null)
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null)
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "large",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null)
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true
}, /*#__PURE__*/React.createElement(Dropdown.Item, null, "New"), /*#__PURE__*/React.createElement(Dropdown.Item, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null),
  disabled: true
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.Item, null, "Save as...")))).add("item button", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "New"), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "New"), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "large",
  open: true
}, /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "New"), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.ButtonItem, {
  onClick: noop
}, "Save as...")))).add("item link", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "small",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "New"), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  open: true,
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "New"), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Save as...")), /*#__PURE__*/React.createElement(Dropdown, {
  title: "Task",
  size: "large",
  open: true
}, /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "New"), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Open..."), /*#__PURE__*/React.createElement(Dropdown.LinkItem, {
  href: "https://www.sharegate.com",
  target: "_blank"
}, "Save as..."))));