import React from "react";
import { Button } from "@react-components/button";
import { GroupIcon } from "@react-components/icons";
import { Message } from "@react-components/message";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Message")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement(Message, null, /*#__PURE__*/React.createElement("p", null, "Easily manage external sharing links and set-up automatic access reviews for entrusted group owners."))).add("header", () => /*#__PURE__*/React.createElement(Message, null, /*#__PURE__*/React.createElement(Message.Header, null, "Setup a security policy for external sharing"), /*#__PURE__*/React.createElement("p", null, "Easily manage external sharing links and set-up automatic access reviews for entrusted group owners."))).add("list", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Message, null, /*#__PURE__*/React.createElement(Message.List, null, /*#__PURE__*/React.createElement(Message.Item, null, "You can now have cover images on blog pages"), /*#__PURE__*/React.createElement(Message.Item, null, "Drafts will now auto-save while writing"))), /*#__PURE__*/React.createElement(Message, null, /*#__PURE__*/React.createElement(Message.Header, null, "New Site Features"), /*#__PURE__*/React.createElement(Message.List, null, /*#__PURE__*/React.createElement(Message.Item, null, "You can now have cover images on blog pages"), /*#__PURE__*/React.createElement(Message.Item, null, "Drafts will now auto-save while writing"))))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Message, {
  icon: true
}, /*#__PURE__*/React.createElement(GroupIcon, {
  size: "massive"
}), /*#__PURE__*/React.createElement(Message.Content, null, /*#__PURE__*/React.createElement(Message.Header, null, "Just one second"), /*#__PURE__*/React.createElement("p", null, "We are fetching that content for you."))), /*#__PURE__*/React.createElement(Message, {
  icon: true
}, /*#__PURE__*/React.createElement(Message.Content, null, /*#__PURE__*/React.createElement(Message.Header, null, "Just one second"), /*#__PURE__*/React.createElement("p", null, "We are fetching that content for you.")), /*#__PURE__*/React.createElement(GroupIcon, {
  size: "massive"
})))).add("button", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Message, {
  icon: true
}, /*#__PURE__*/React.createElement(Button, null, "Click Here"), /*#__PURE__*/React.createElement(Message.Content, null, /*#__PURE__*/React.createElement(Message.Header, null, "Just one second"), /*#__PURE__*/React.createElement("p", null, "We are fetching that content for you."))), /*#__PURE__*/React.createElement(Message, {
  icon: true
}, /*#__PURE__*/React.createElement(Message.Content, null, /*#__PURE__*/React.createElement(Message.Header, null, "Just one second"), /*#__PURE__*/React.createElement("p", null, "We are fetching that content for you.")), /*#__PURE__*/React.createElement(Button, null, "Click Here")))).add("dismiss", () => /*#__PURE__*/React.createElement(Message, {
  onDismiss: true,
  header: "Welcome back!",
  content: "This is a special notification which you can dismiss."
})).add("compact", () => /*#__PURE__*/React.createElement(Message, {
  compact: true
}, /*#__PURE__*/React.createElement("p", null, "Get all the best inventions in your e-mail every day. Sign up now!"))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Message, {
  size: "small",
  className: "mb5"
}, /*#__PURE__*/React.createElement("p", null, "This group external shares won\u2019t be reviewed until you entrust its group owners.")), /*#__PURE__*/React.createElement(Message, null, /*#__PURE__*/React.createElement("p", null, "This group external shares won\u2019t be reviewed until you entrust its group owners.")))).add("types", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Message, {
  info: true
}, /*#__PURE__*/React.createElement(Message.Header, null, "Was this what you wanted?"), /*#__PURE__*/React.createElement("p", null, "Did you know it's been a while?")), /*#__PURE__*/React.createElement(Message, {
  positive: true
}, /*#__PURE__*/React.createElement(Message.Header, null, "You are eligible for a reward"), /*#__PURE__*/React.createElement("p", null, "Go to your ", /*#__PURE__*/React.createElement("span", {
  className: "fw6"
}, "special offers"), " page to see now.")), /*#__PURE__*/React.createElement(Message, {
  warning: true
}, /*#__PURE__*/React.createElement(Message.Header, null, "You must register before you can do that!"), /*#__PURE__*/React.createElement("p", null, "Visit our registration page, then try again.")), /*#__PURE__*/React.createElement(Message, {
  negative: true
}, /*#__PURE__*/React.createElement(Message.Header, null, "We're sorry we can't apply that discount"), /*#__PURE__*/React.createElement("p", null, "That offer has expired")), /*#__PURE__*/React.createElement(Message, {
  floating: true
}, /*#__PURE__*/React.createElement(Message.Header, null, "Was this what you wanted?"), /*#__PURE__*/React.createElement("p", null, "Did you know it's been a while?"))));