import React from "react";
import { Children, cloneElement, useState } from "react";
import { PopperBoundary } from "./PopperBoundary";
import { Toggle } from "@react-components/toggle";
export function PinnedPlayground({
  children
}) {
  const [isPinned, setIsPinned] = useState(true);
  const popper = /*#__PURE__*/cloneElement(Children.only(children), {
    pinned: isPinned,
    noPortal: true
  });
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(PopperBoundary, null, popper), /*#__PURE__*/React.createElement("div", {
    className: "mt4"
  }, /*#__PURE__*/React.createElement(Toggle, {
    text: "Pinned",
    checked: isPinned,
    onChange: () => {
      setIsPinned(!isPinned);
    }
  })));
}
PinnedPlayground.displayName = "PinnedPlayground";