import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Button } from "@react-components/button";
import { ButtonPopper } from "@react-components/popper";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { forwardRef } from "react";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Popper/button")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%",
    height: "600px",
    marginTop: "100px"
  }).chromaticDelay(100).chromaticPauseAnimationAtEnd().build()).build();
}

const RedBox = /*#__PURE__*/forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement("div", Object.assign({}, props, {
    className: "w12 h12 pa2 bg-red",
    ref: ref
  }), /*#__PURE__*/React.createElement("a", {
    href: "https://en.wikipedia.org/wiki/David_Saint-Jacques",
    target: "__blank"
  }, "David Saint-Jacques"));
});

function RedBoxPopper(_ref) {
  let {
    button = /*#__PURE__*/React.createElement(Button, {
      fluid: true
    }, "Click me")
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["button"]);

  return /*#__PURE__*/React.createElement(ButtonPopper, Object.assign({
    button: button
  }, rest), /*#__PURE__*/React.createElement(RedBox, null));
}

RedBoxPopper.displayName = "RedBoxPopper";
stories().add("default", () => /*#__PURE__*/React.createElement(RedBoxPopper, null)).add("show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true
})).add("default show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  defaultShow: true
})).add("focus trigger on show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  focusTriggerOnShow: true
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true,
  show: true
})))).add("shorthand button", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  button: {
    content: "Click me",
    fluid: true
  }
})).add("fluid button", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  fluid: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  fluid: true,
  show: true
}))));