import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Button } from "@react-components/button";
import { CrossIcon } from "@react-components/icons";
import { TextInput } from "@react-components/text-input";
import { TextInputPopper } from "@react-components/popper";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { forwardRef } from "react";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Popper/text input")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%",
    height: "600px",
    marginTop: "100px"
  }).chromaticDelay(100).chromaticPauseAnimationAtEnd().build()).build();
}

const RedBox = /*#__PURE__*/forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement("div", Object.assign({}, props, {
    className: "w12 h12 pa2 bg-red",
    ref: ref
  }), /*#__PURE__*/React.createElement("a", {
    href: "https://en.wikipedia.org/wiki/David_Saint-Jacques",
    target: "__blank"
  }, "David Saint-Jacques"));
});

function RedBoxPopper(_ref) {
  let {
    input = /*#__PURE__*/React.createElement(TextInput, {
      fluid: true,
      placeholder: "Click me"
    })
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["input"]);

  return /*#__PURE__*/React.createElement(TextInputPopper, Object.assign({
    input: input
  }, rest), /*#__PURE__*/React.createElement(RedBox, null));
}

RedBoxPopper.displayName = "RedBoxPopper";
stories().add("default", () => /*#__PURE__*/React.createElement(RedBoxPopper, null)).add("show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true
})).add("default show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  defaultShow: true
})).add("focus trigger on show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  focusTriggerOnShow: true
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true,
  show: true
})))).add("shorthand input", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  input: {
    placeholder: "Pick a date",
    fluid: true
  }
})).add("fluid input", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  fluid: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  fluid: true,
  show: true
})))).add("readonly input", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  input: {
    readOnly: true
  }
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  input: {
    readOnly: true
  },
  show: true
})))).add("clearable input", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  input: {
    button: /*#__PURE__*/React.createElement(Button, {
      icon: /*#__PURE__*/React.createElement(CrossIcon, null)
    })
  }
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  input: {
    placeholder: "Pick a date",
    button: /*#__PURE__*/React.createElement(Button, {
      icon: /*#__PURE__*/React.createElement(CrossIcon, null)
    })
  }
}))));