import { RemoteSearchInput } from "@react-components/search-input";
import { bool, func, string } from "prop-types";
import { isNil } from "lodash";
import React, { PureComponent } from "react";
export class ControlledRemoteSearchInput extends PureComponent {
  constructor(...args) {
    super(...args);
    this.state = {
      value: this.props.value,
      open: this.props.open
    };

    this.handleValueChange = (event, value) => {
      const {
        onValueChange
      } = this.props;
      this.setState({
        value: isNil(value) ? null : value.text
      });
      onValueChange(event, value);
    };

    this.handleVisiblityChange = (event, open) => {
      this.setState({
        open
      });
    };
  }

  render() {
    const {
      onFetchResults,
      onResults,
      placeholder
    } = this.props;
    const {
      value,
      open
    } = this.state;
    const style = {
      width: "80px"
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "mb6"
    }, /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "fw6",
      style: style
    }, "value:"), " ", isNil(value) ? "N/A" : value), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "fw6",
      style: style
    }, "open:"), " ", open ? "true" : "false")), /*#__PURE__*/React.createElement(RemoteSearchInput, {
      open: open,
      value: value,
      onFetchResults: onFetchResults,
      onResults: onResults,
      placeholder: placeholder,
      onValueChange: this.handleValueChange,
      onVisibilityChange: this.handleVisiblityChange
    }));
  }

}
ControlledRemoteSearchInput.displayName = "ControlledRemoteSearchInput";
ControlledRemoteSearchInput.propTypes = {
  value: string,
  onFetchResults: func,
  onResults: func,
  open: bool,
  placeholder: string
};
ControlledRemoteSearchInput.defaultProps = {
  open: false
};