import React from "react";
import { PureComponent } from "react";
import { RESULT_SHAPE, SearchInput } from "@react-components/search-input";
import { arrayOf, bool, shape, string } from "prop-types";
import { isNil } from "lodash";
export class ControlledSearchInput extends PureComponent {
  constructor(...args) {
    super(...args);
    this.state = {
      value: this.props.value,
      open: this.props.open
    };

    this.handleValueChange = (event, value) => {
      const {
        onValueChange
      } = this.props;
      this.setState({
        value: isNil(value) ? null : value.text
      });
      onValueChange(event, value);
    };

    this.handleVisiblityChange = (event, open) => {
      this.setState({
        open
      });
    };
  }

  render() {
    const {
      results
    } = this.props;
    const {
      value,
      open
    } = this.state;
    const style = {
      width: "80px"
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "mb6"
    }, /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "value:"), " ", isNil(value) ? "N/A" : value), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "open:"), " ", open ? "true" : "false")), /*#__PURE__*/React.createElement(SearchInput, {
      open: open,
      results: results,
      value: value,
      onValueChange: this.handleValueChange,
      onVisibilityChange: this.handleVisiblityChange
    }));
  }

}
ControlledSearchInput.displayName = "ControlledSearchInput";
ControlledSearchInput.propTypes = {
  results: arrayOf(shape(RESULT_SHAPE)).isRequired,
  value: string,
  open: bool
};
ControlledSearchInput.defaultProps = {
  open: false
};