import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/multiple")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};

function MultipleSelect(props) {
  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    multiple: true,
    options: [MALE, FEMALE]
  }, props));
}

MultipleSelect.displayName = "MultipleSelect";

function AvatarMultipleSelect(props) {
  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    multiple: true,
    options: [_objectSpread(_objectSpread({}, MALE), {}, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread(_objectSpread({}, FEMALE), {}, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })]
  }, props));
}

AvatarMultipleSelect.displayName = "AvatarMultipleSelect";

function IconsMultipleSelect(_ref) {
  let {
    iconsPosition = "left"
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["iconsPosition"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    multiple: true,
    options: [_objectSpread(_objectSpread({}, MALE), {}, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    }), _objectSpread(_objectSpread({}, FEMALE), {}, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    })]
  }, rest));
}

IconsMultipleSelect.displayName = "IconsMultipleSelect";
stories().add("default", () => /*#__PURE__*/React.createElement(MultipleSelect, null)).add("open", () => /*#__PURE__*/React.createElement(MultipleSelect, {
  open: true
})).add("default open", () => /*#__PURE__*/React.createElement(MultipleSelect, {
  defaultOpen: true
})).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  defaultValue: ["Female"],
  open: true
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "small",
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "large",
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  size: "large",
  open: true
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  fluid: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  fluid: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "w-30 mr5"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "w-30"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  fluid: true,
  defaultOpen: true
}))))).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  active: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  focus: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  hover: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  focus: true,
  hover: true
}))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  disabled: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  disabled: true,
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}))).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  error: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  error: true,
  wrapperClassName: "mr5",
  open: true
}))).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  defaultValue: ["Female"],
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  defaultValue: ["Female"],
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  loading: true,
  size: "large",
  open: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  search: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  search: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  search: true
})))).add("searchable", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "small",
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "large",
  defaultValue: ["Female", "Male"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  search: true,
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
})))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(MultipleSelect, {
  wrapperClassName: "border-red mr5"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  wrapperClassName: "mr5",
  wrapperStyle: {
    border: "1px solid red"
  }
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  wrapperClassName: "mr5",
  className: "border-red"
}), /*#__PURE__*/React.createElement(MultipleSelect, {
  style: {
    border: "1px solid red"
  }
}))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "small",
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "large",
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(AvatarMultipleSelect, {
  size: "large",
  open: true
})))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "small",
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "small",
  defaultValue: ["Female"],
  iconsPosition: "right",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "small",
  open: true,
  wrapperClassName: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  defaultValue: ["Female"],
  iconsPosition: "right",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  open: true,
  wrapperClassName: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "large",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "large",
  defaultValue: ["Female"],
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "large",
  defaultValue: ["Female"],
  iconsPosition: "right",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(IconsMultipleSelect, {
  size: "large",
  open: true,
  wrapperClassName: "mr5"
}))));