import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import { cloneElement } from "react";
import { createChainedFunction } from "./createChainedFunction";
import { isFunction, isNil } from "lodash";
import { mergeClasses } from "./mergeClasses";
import { mergeRefs } from "./mergeRefs";
const cache = new WeakMap();

function memoizedMerge(x, y, merge) {
  if (cache.has(x)) {
    return cache.get(x);
  }

  cache.set(x, merge(y, x));
  return cache.get(x);
}

export function augmentElementProps(elementProps, newProps) {
  const props = _objectSpread({}, elementProps);

  Object.keys(newProps).forEach(x => {
    if (!isNil(props[x])) {
      if (x === "className") {
        props[x] = mergeClasses(props[x], newProps[x]);
      } else if (x === "style") {
        props[x] = _objectSpread(_objectSpread({}, newProps[x]), props[x]);
      } else if (x === "ref") {
        props[x] = memoizedMerge(props[x], newProps[x], mergeRefs);
      } else if (x.startsWith("on") && isFunction(props[x])) {
        props[x] = memoizedMerge(props[x], newProps[x], createChainedFunction);
      }
    } else {
      props[x] = newProps[x];
    }
  });
  return props;
}
export function augmentElement(element, newProps) {
  if (isNil(element)) {
    return null;
  }

  const augmentedProps = augmentElementProps(_objectSpread(_objectSpread({}, element.props), {}, {
    ref: element.ref
  }), newProps);
  return /*#__PURE__*/cloneElement(element, augmentedProps);
}