import React from "react";
import { TextInput } from "@react-components/text-input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("TextInput")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextInput, {
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextInput, {
  placeholder: "Search...",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextInput, {
  defaultValue: "SpaceX will win the race!"
}))).add("password", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextInput, {
  type: "password",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextInput, {
  defaultValue: "temp123!",
  type: "password"
}))).add("email", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextInput, {
  type: "email",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextInput, {
  defaultValue: "info@spacex.com",
  type: "email"
})));