import React from "react";
import { Toggle } from "@react-components/toggle";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createTestSuite } from "./createTestSuite";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Toggle")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createTestSuite( /*#__PURE__*/React.createElement(Toggle, null), stories("/unchecked"));
createTestSuite( /*#__PURE__*/React.createElement(Toggle, {
  defaultChecked: true
}), stories("/checked"));